Subject: Re: [PATCH 3/3] rust: generate bindings via cbindgen

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 30 Oct 2025 10:50:26 +0100

On Tue, Oct 28, 2025 at 01:11:53PM -0600, Ezekiel Newren wrote:
> On Mon, Oct 27, 2025 at 10:15 PM Junio C Hamano <[email-masked]> wrote:
> > Given that the stable/trixie was released on August 9th, 2025, we
> > still need to go by oldstable/bookworm, which has Rust 1.63, if
> > people agree that your rule to decide the floor version is sensible
> > (which I would say is OK).
> 
> I think that 1.63 should be the minimum that Git supports. I think
> 1.49 is way too old. It was a bit of a struggle to get cbindgen to
> work with 1.63, and I don't know if it will work at all with 1.49.

I think cbindgen 0.20 should support Rust 1.49, but I'm honestly not
sure about this. They simply didn't specify a MSRV before 0.21, and in
0.21 they bumped to require Rust 1.57.

Patrick